## ros-noetic-dynamic-tf-publisher 2.2.12

=== debian/changelog ===
ros-noetic-dynamic-tf-publisher (2.2.12-1focal) focal; urgency=high

  * run 2to3 -w -f has_key for python3 compatibility (#1695 <https://github.com/jsk-ros-pkg/jsk_common/issues/1695>)
  * install tf_reconfigure_publisher.py (#1654 <https://github.com/jsk-ros-pkg/jsk_common/issues/1654>)
  * Contributors: Shingo Kitagawa

 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 06 Jun 2022 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.11-1focal) focal; urgency=high

  * Fix for noetic build (#1648 <https://github.com/jsk-ros-pkg/jsk_common/issues/1648>)
    
      * fix for python3, except, print ....
      * upgrade package.xml to format=3
    
  * Update package name so it does not produce extra lines in rospack list (#1625 <https://github.com/jsk-ros-pkg/jsk_common/issues/1625>)
  * Contributors: J-Rojas, Kei Okada

 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 09 Jul 2020 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.10-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 02 Nov 2018 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.9-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 01 Nov 2018 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.8-1focal) focal; urgency=high

  * Add comment about installation (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Contributors: Yuto Uchimi

 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 31 Oct 2018 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.7-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 26 Jun 2018 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.6-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 04 Jan 2018 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.5-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 18 Jun 2017 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.4-1focal) focal; urgency=high

  * add ROSIntrupptException, not to show strage message on shutting down (#1522 <https://github.com/jsk-ros-pkg/jsk_common/pull/1522>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 13 Jun 2017 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.3-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 22 Mar 2017 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.2-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 29 Dec 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.1-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 12 Dec 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.2.0-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 27 Oct 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.1.2-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 13 Sep 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.1.1-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 06 Sep 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.1.0-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 05 Sep 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.17-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 20 Jul 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.16-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 18 Jun 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.15-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 12 Jun 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.14-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 13 May 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.13-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 28 Apr 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.12-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.11-1focal) focal; urgency=high

  * remove dynamic_reconfigure.parameter_generator, which only used for rosbuild
  * Contributors: Kei Okada

 -- Ryohei Ueda <garaemon@gmail.com>  Sat, 19 Mar 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.10-1focal) focal; urgency=high

  * [tf_publisher.py] do not import genpy since it is not used
  * [tf_publish.py] remove backward compatibility
  * queue_size is new in hydro and necessary from indigo
  * Contributors: Eisoku Kuroiwa

 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 12 Feb 2016 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.9-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 13 Dec 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.8-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 06 Dec 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.7-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 04 Dec 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.6-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 01 Dec 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.5-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Sun, 29 Nov 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.4-1focal) focal; urgency=high

  * [dynamic_tf_publisher] Moreh helpful debug message and fix several typos
  * [dynamic_tf_publisher] Use with to acquire lock
  * [dynamic_tf_publisher] Advertise services at the last of initialization
  * [dynamic_tf_publisher] Check service collision in launching tf_publish
  * Contributors: Ryohei Ueda

 -- Ryohei Ueda <garaemon@gmail.com>  Tue, 24 Nov 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.3-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 23 Jul 2015 15:00:00 -0000

ros-noetic-dynamic-tf-publisher (2.0.2-1focal) focal; urgency=high




